package es.uv.saic.dto;

import es.uv.saic.domain.Organ;

public class OrganDTO{
    private Integer lugar;
    private String tlugar;
    private Integer lugar2;
    private String tlugar2;
    private String nomCas;
    private String nomVal;
    private Integer ruct;
    private String tambit;
    private String nomCas2;
    private String nomVal2;
    private Integer ruct2;

    public OrganDTO() {}

    public OrganDTO(Integer lugar, String tlugar, Integer lugar2, String tlugar2, 
                   String nomCas, String nomVal, Integer ruct, String tambit, 
                   String nomCas2, String nomVal2, Integer ruct2) {
        this.lugar = lugar;
        this.tlugar = tlugar;
        this.lugar2 = lugar2;
        this.tlugar2 = tlugar2;  
        this.nomCas = nomCas;
        this.nomVal = nomVal;
        this.ruct = ruct;
        this.tambit = tambit;
        this.nomCas2 = nomCas2;
        this.nomVal2 = nomVal2;
        this.ruct2 = ruct2;
    }

    public OrganDTO(Organ organ) {
        this.lugar = organ.getId().getLugar();
        this.tlugar = organ.getId().getTlugar();
        this.lugar2 = organ.getOrgan().getId().getLugar();
        this.tlugar2 =  organ.getOrgan().getId().getTlugar();  
        this.nomCas = organ.getNomCas();
        this.nomVal = organ.getNomVal();
        this.ruct = organ.getRuct();
        this.tambit = organ.getTambit();
        this.nomCas2 = organ.getOrgan().getNomCas();
        this.nomVal2 = organ.getOrgan().getNomVal();
        this.ruct2 = organ.getOrgan().getRuct();
    }

    public Integer getLugar() {
        return lugar;
    }

    public String getTlugar() {
        return tlugar;
    }

    public Integer getLugar2() {
        return lugar2;
    }

    public String getTlugar2() {
        return tlugar2;
    }

    public String getNomCas() {
        return nomCas;
    }

    public String getNomVal() {
        return nomVal;
    }

    public Integer getRuct() {
        return ruct;
    }

    public String getTambit() {
        return tambit;
    }

    public String getNomTCas() {
        return nomCas2;
    }

    public String getNomTVal() {
        return nomVal2;
    }

    public Integer getRuct2() {
        return ruct2;
    }

    public String getNomCas2() {
        return nomCas2;
    }

    public String getNomVal2() {
        return nomVal2;
    }

    public void setLugar(Integer lugar) {
        this.lugar = lugar;
    }

    public void setTlugar(String tlugar) {
        this.tlugar = tlugar;
    }

    public void setLugar2(Integer lugar2) {
        this.lugar2 = lugar2;
    }

    public void setTlugar2(String tlugar2) {
        this.tlugar2 = tlugar2;
    }

    public void setNomCas(String nomCas) {
        this.nomCas = nomCas;
    }

    public void setNomVal(String nomVal) {
        this.nomVal = nomVal;
    }

    public void setRuct(Integer ruct) {
        this.ruct = ruct;
    }

    public void setTambit(String tambit) {
        this.tambit = tambit;
    }

    public void setNomCas2(String nomCas2) {
        this.nomCas2 = nomCas2;
    }

    public void setNomVal2(String nomVal2) {
        this.nomVal2 = nomVal2;
    }

    public void setRuct2(Integer ruct2) {
        this.ruct2 = ruct2;
    }
}